## python-cogent 2023.2.12a1+dfsg

=== requirements.txt ===
chardet==5.1.0
pillow==9.4.0
psutil==5.9.4
scipy==1.10.0
nox==2022.11.21
plotly==5.13.0
typing_extensions>=3.7
.[dev]

=== debian/changelog ===
python-cogent (2023.2.12a1+dfsg-2+deb12u1) bookworm; urgency=medium

  * Team upload.
  * Drop old patch fix-build-on-single-cpu-systems.patch, as it was
    disabling the affected tests for everybody.
  * Add new patch skip-parallel-tests-on-single-cpu-systems.patch,
    where the tests are only skipped when the system has a single CPU.
    Closes: #1030885.

 -- Santiago Vila <sanvila@debian.org>  Sun, 29 Oct 2023 21:45:00 +0100

python-cogent (2023.2.12a1+dfsg-2) unstable; urgency=medium

  * Restrict to 64 bit architectures

 -- Andreas Tille <tille@debian.org>  Fri, 24 Feb 2023 14:18:01 +0100

python-cogent (2023.2.12a1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 22 Feb 2023 08:07:42 +0100

=== debian/control ===
Source: python-cogent
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               flit,
               cython3,
               pandoc,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-matplotlib,
               python3-numba,
               python3-numpy,
               python3-pandas,
               python3-scitrack,
               python3-tqdm,
               python3-tinydb,
               python3-sphinx,
               python3-numpydoc,
               python3-nbsphinx,
               python3-sphinx-bootstrap-theme,
               python3-sphinx-gallery,
               python3-pytest <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-plotly <!nocheck>,
               python3-typing-extensions <!nocheck>,
               python3-isort,
               python3-scipy,
               python3-chardet,
               python3-jupyterlab-server,
               python3-jupyter-sphinx-theme
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/python-cogent
Vcs-Git: https://salsa.debian.org/med-team/python-cogent.git
Homepage: https://github.com/cogent3/cogent3
Rules-Requires-Root: no

Package: python3-cogent3
Architecture: any-amd64 arm64 mips64el ppc64el s390x ia64 ppc64 riscv64 sparc64 alpha
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-numba,
         python3-matplotlib,
         python3-pandas,
         python3-plotly,
         python3-scitrack,
         python3-tqdm,
         python3-tinydb
Recommends: ncbi-blast+-legacy,
            dialign
Suggests: python-cogent-doc
Breaks: python-cogent
Provides: python-cogent
Replaces: python-cogent
Description: framework for genomic biology
 PyCogent is a software library for genomic biology. It is a fully
 integrated and thoroughly tested framework for:
  * controlling third-party applications,
  * devising workflows; querying databases,
  * conducting novel probabilistic analyses of biological sequence
    evolution, and
  * generating publication quality graphics.
 It is distinguished by many unique built-in capabilities (such as true codon
 alignment) and the frequent addition of entirely new methods for the analysis
 of genomic data.

Package: python-cogent-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery,
         libjs-underscore
Suggests: python3-cogent3 (= ${binary:Version})
Multi-Arch: foreign
Description: docs for python3-cogent3
 PyCogent is a software library for genomic biology.
 .
 It is distinguished by many unique built-in capabilities (such as true codon
 alignment) and the frequent addition of entirely new methods for the analysis
 of genomic data.
 .
 This package contains documentation and examples.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

export PYBUILD_BEFORE_TEST=cp -r {dir}/tests/data {build_dir}
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=-k 'not test_pickleable_member_roundtrip and not test_pickleable_roundtrip'
export PYBUILD_NAME=cogent3
ifneq (,$(filter $(DEB_HOST_ARCH), armel armhf mipsel s390x mips64el))
export PYBUILD_DISABLE=test
endif

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	#These files are rebuilt on-the-fly
	for f in `find -name '*.c'` ; do \
	    head -n 1 "$$f" | grep -q '^/\* Generated by Cython' && rm "$$f" ; \
	done
	rm -rf build build-stamp
	rm -rf doc/_build
	dh_clean

override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter $(DEB_HOST_ARCH), armel mipsel))
	set -x; cd doc; PYTHONPATH=$(CURDIR) http_proxy='127.0.0.1:9' $(MAKE) html
	# remove superfluous files and dirs
	find doc/_build -name "*.doctree*" -delete
	rm -f doc/_build/html/_sources/COGENT_LICENSE.txt
	rm -f doc/_build/html/_static/jquery.js
	rm -f doc/_build/html/_static/underscore.js
	rm -rf doc/_build/html/_images/math/
endif

override_dh_shlibdeps:
	dh_shlibdeps
	dh_numpy3

override_dh_compress:
	dh_compress --exclude=.js --exclude=.fasta --exclude=.txt --exclude=.pdb

override_dh_installdocs:
	dh_installdocs
	rm -rf debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/html/_sources
	find debian -name doctrees -type d | xargs rm -rf

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-cogent 2024.5.7a1+dfsg

=== requirements.txt ===
chardet==5.2.0
pillow==10.3.0
psutil==5.9.8
numpy==1.26.4
numba>0.48.0;python_version<'3.9'
numba>0.53; python_version>='3.9'
numba>0.54; python_version>='3.10'
numba>=0.57.0; python_version=='3.11'
scipy==1.13.0
nox==2024.4.15
plotly==5.22.0
typing_extensions>=3.7
stevedore==5.2.0
.[dev]

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =


# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

# define plotly rendern environment settings

livehtml: export PLOTLY_RENDERER=notebook_connected+plotly_mimetype
latex: export PLOTLY_RENDERER=pdf

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

github:
	@make html
	@cp -a _build/html/. ../docs

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/PyCogent.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/PyCogent.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."


.PHONY: livehtml
livehtml:
	sphinx-autobuild -p 5500  -b html $(ALLSPHINXOPTS) _build/html

=== debian/changelog ===
python-cogent (2024.5.7a1+dfsg-3build1) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 29 Jan 2025 22:36:10 +0000

python-cogent (2024.5.7a1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Update skip-parallel-tests-on-single-cpu-systems.patch
    to skip "test_write_db_parallel" again. Closes: #1030885.

 -- Santiago Vila <sanvila@debian.org>  Fri, 05 Jul 2024 18:45:00 +0200

python-cogent (2024.5.7a1+dfsg-2) unstable; urgency=medium

  * Fix binary-any build
    Closes: #1074562

 -- Andreas Tille <tille@debian.org>  Tue, 02 Jul 2024 15:43:37 +0200

python-cogent (2024.5.7a1+dfsg-1) unstable; urgency=medium

  [ Ananthu C V ]
  * Team upload
  * New upstream version 2024.5.7a1+dfsg
  * Unfuzz patches
  * Add python3-stevedore build dependency and apply wrap-and-sort
  * Use execute_after syntax over override in d/rules where possible

  [ Andreas Tille ]
  * debian/control:
     - Build-Depends: architecture-is-64-bit, architecture-is-little-endian
     - Architecture: any

  [ Emmanuel Arias ]
  * d/control: Add ${sphinxdoc:Depends} as Depends in python-cogent-doc
    package.
    - d/rules: Add --with sphinxdoc.
  * d/control: Add libjs-requirejs as build dependency. Also add as Depends in
    the python-cogent-doc package.
    - d/rules: add override_dh_sphinxdoc to replace external link to
      require.min.js to use installed lib and avoid privacy leak.
    - wrap-and-sort.
  * d/control: Bump Standards-Version to 4.7.0 (from 4.6.2; no further changes
    needed).

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 26 Jun 2024 01:24:50 -0300

python-cogent (2023.12.15a1+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #1058370
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Build-Depends: python3-sphinxcontrib.bibtex, python3-sphinx-design,
    python3-pydata-sphinx-theme
  * Add build support for loongarch64
    Closes: #1059557
  * Fix patch to skip some tests which was lacking `import multiprocessing`

 -- Andreas Tille <tille@debian.org>  Fri, 26 Jan 2024 15:36:11 +0100

python-cogent (2023.2.12a1+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Drop old patch fix-build-on-single-cpu-systems.patch,
    as it disables parallel tests for everybody.
  * Add new patch skip-parallel-tests-on-single-cpu-systems.patch
    instead, which does what its name suggests. Closes: #1030885.

 -- Santiago Vila <sanvila@debian.org>  Sat, 28 Oct 2023 22:30:00 +0200

python-cogent (2023.2.12a1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Update fix-build-on-single-cpu-systems.patch to skip
    "test_write_db_parallel" again. Closes: #1030885.

 -- Santiago Vila <sanvila@debian.org>  Fri, 20 Oct 2023 14:02:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_clean:
 	#These files are rebuilt on-the-fly
@@ -28,8 +28,7 @@
 	rm -rf doc/_build
 	dh_clean
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 ifeq (,$(filter $(DEB_HOST_ARCH), armel mipsel))
 	set -x; cd doc; PYTHONPATH=$(CURDIR) http_proxy='127.0.0.1:9' $(MAKE) html
 	# remove superfluous files and dirs
@@ -40,15 +39,17 @@
 	rm -rf doc/_build/html/_images/math/
 endif
 
-override_dh_shlibdeps:
-	dh_shlibdeps
+override_dh_sphinxdoc-indep:
+	dh_sphinxdoc -i
+	sed -i 's%https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js%file:///usr/share/javascript/requirejs/require.min.js%' `find $(CURDIR)/debian/python-cogent-doc/usr/share/doc/python-cogent-doc/html/ -type f -name "*.html"`
+
+execute_after_dh_shlibdeps:
 	dh_numpy3
 
 override_dh_compress:
 	dh_compress --exclude=.js --exclude=.fasta --exclude=.txt --exclude=.pdb
 
-override_dh_installdocs:
-	dh_installdocs
+execute_after_dh_installdocs:
 	rm -rf debian/$(DEB_SOURCE)/usr/share/doc/$(DEB_SOURCE)/html/_sources
 	find debian -name doctrees -type d | xargs rm -rf

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/cogent3/cogent3/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
